
QGIS Application - Bug report #15933

Some geometry edit tools are available when editing a geometryless layer

2016-12-04 04:49 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23849

Description

Create a temporary scratch layer without geometry capabilities activated

Toggle the layer into edit; you'll see that some geometry related tools are still active:

- Digitizing toolbar: Move (and move and copy) features, Add circular strings (and by radius) and Node tool

- Advanced Digitizing toolbar: Rotate, Add part, Delete part

Associated revisions

Revision 6a611794 - 2016-12-05 12:53 AM - Nyall Dawson

Disable a bunch of actions which don't apply to vector layers

without geometry (fix #15933)

History

#1 - 2016-12-04 03:51 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"6a61179451aafdfbce481c9131a7631865bd35d2".
